Bug 445244 - Fedora boot process is hardware dependent
Fedora boot process is hardware dependent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 13:49 EDT by Artem S. Tashkinov
Modified: 2009-05-05 17:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 17:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem S. Tashkinov 2008-05-05 13:49:32 EDT
Description of problem: initrd (initial ram disk) which Fedora installs during
installation process contains only modules for the current storage
controller(s). Thus if you insert your HDD into another computer then your
Fedora may not boot (most likely will not boot).

I suggest creating a 'generic' initrd which contains modules for most
SCSI/PATA/ATA/USB HDD controllers, so that it is possible to boot your Fedora in
a different environment.

Of course, upon kernel updates this initrd should be updated automatically.
Comment 1 Bug Zapper 2008-05-14 06:40:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2009-05-05 17:58:01 EDT
We've switched as of Fedora 10 to building in a lot of the "general" modules.  And after Fedora 11, we will likely be switching to dracut instead of mkinitrd which will do something like this.

So for mkinitrd itself, going to WONTFIX

Note You need to log in before you can comment on or make changes to this bug.